(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun M896J7EXAG () (_ FloatingPoint 8 24))
(assert (let ((a!1 (and (distinct (ite (fp.leq M896J7EXAG
                                       (fp #b0 #x00 #b11111111111111111100001))
                               #x00000001
                               #x00000000)
                          #x00000000)
                (distinct (ite (fp.gt M896J7EXAG (_ +zero 8 24))
                               #x00000001
                               #x00000000)
                          #x00000000))))
  (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (ite (fp.leq M896J7EXAG (_ +zero 8 24)) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (and (distinct (ite (fp.gt M896J7EXAG
                                      (fp #b0 #x82 #b00111111111111110010111))
                               #x00000001
                               #x00000000)
                          #x00000000)
                (distinct (ite (fp.lt M896J7EXAG
                                      (fp #b0 #x82 #b01000000000000001101001))
                               #x00000001
                               #x00000000)
                          #x00000000))))
  (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (ite (fp.geq M896J7EXAG (fp #b0 #x80 #b00000000000000000000000))
                    #x00000001
                    #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (ite (fp.leq M896J7EXAG (fp #b0 #x7e #b00000000000000000000000))
                    #x00000001
                    #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (bvslt #x00000003 #x00000032) #x00000001 #x00000000) #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.sub roundTowardPositive
                           M896J7EXAG
                           (fp #b0 #x7f #b00000000000000000000000))
                   (fp.add roundTowardPositive
                           M896J7EXAG
                           (fp #b0 #x7f #b00000000000000000000000)))))
(let ((a!2 (ite (fp.lt (fp.mul roundTowardPositive
                               a!1
                               (fp.mul roundTowardPositive a!1 a!1))
                       (fp #b0 #x75 #b00000110001001001101111))
                #x00000001
                #x00000000))
      (a!3 (ite (fp.gt (fp.mul roundTowardPositive
                               a!1
                               (fp.mul roundTowardPositive a!1 a!1))
                       (fp #b1 #x75 #b00000110001001001101111))
                #x00000001
                #x00000000)))
(let ((a!4 (distinct (ite (and (distinct a!2 #x00000000)
                               (distinct a!3 #x00000000))
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!4)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.sub roundTowardPositive
                           M896J7EXAG
                           (fp #b0 #x7f #b00000000000000000000000))
                   (fp.add roundTowardPositive
                           M896J7EXAG
                           (fp #b0 #x7f #b00000000000000000000000)))))
(let ((a!2 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           a!1
                           (fp.mul roundTowardPositive a!1 a!1))
                   ((_ to_fp 8 24) roundTowardPositive #x00000003))))
(let ((a!3 (and (distinct (ite (fp.lt a!2
                                      (fp #b0 #x75 #b00000110001001001101111))
                               #x00000001
                               #x00000000)
                          #x00000000)
                (distinct (ite (fp.gt a!2
                                      (fp #b1 #x75 #b00000110001001001101111))
                               #x00000001
                               #x00000000)
                          #x00000000))))
  (distinct (ite a!3 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(exit)