(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun ME1SOMW3TX () (_ FloatingPoint 8 24))
(assert (not (distinct (ite (fp.lt ME1SOMW3TX (_ +zero 8 24)) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun SJ05XNNQDR () (_ BitVec 32))
(assert (let ((a!1 (or (distinct (ite (bvsge SJ05XNNQDR #x00000003)
                              #x00000001
                              #x00000000)
                         #x00000000)
               (distinct (ite (= #x00000001 SJ05XNNQDR) #x00000001 #x00000000)
                         #x00000000))))
(let ((a!2 (ite (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))
                #x00000001
                #x00000000)))
  (distinct a!2 #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (distinct (_ +zero 8 24) (_ NaN 8 24))
     (distinct (_ +zero 8 24) (_ +oo 8 24))
     (distinct (_ +zero 8 24) (_ -oo 8 24))
     (fp.geq (_ +zero 8 24) (fp #b1 #x9e #b00000000000000000000000))
     (fp.leq (_ +zero 8 24) (fp #b0 #x9e #b00000000000000000000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun MXDW15T9UM () (_ FloatingPoint 8 24))
(assert (not (distinct (ite (fp.lt MXDW15T9UM (_ +zero 8 24)) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun TC69H6KR65 () (_ BitVec 32))
(assert (let ((a!1 (or (distinct (ite (bvsge TC69H6KR65 #x00000003)
                              #x00000001
                              #x00000000)
                         #x00000000)
               (distinct (ite (= #x00000001 TC69H6KR65) #x00000001 #x00000000)
                         #x00000000))))
(let ((a!2 (ite (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))
                #x00000001
                #x00000000)))
  (not (distinct a!2 #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun XUU47C1ZEG () (_ BitVec 32))
(assert (not (distinct (ite (bvsge XUU47C1ZEG #x00000003) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(exit)