(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun EKOWP71ETZ () (_ FloatingPoint 8 24))
(assert (not (distinct (ite (fp.geq EKOWP71ETZ (fp #b0 #x87 #b01101000000000000000000))
                    #b1
                    #b0)
               #b0)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (ite (fp.lt EKOWP71ETZ (_ +zero 8 24)) #b1 #b0) #b0)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (distinct (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ NaN 8 24))
     (distinct (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ +oo 8 24))
     (distinct (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ -oo 8 24))
     (fp.geq (fp.mul roundTowardPositive
                     (fp.add roundTowardPositive
                             EKOWP71ETZ
                             (fp #b0 #x7e #b00000000000000000000000))
                     (fp #b0 #x82 #b01000000000000000000000))
             (fp #b1 #x9e #b00000000000000000000000))
     (fp.leq (fp.mul roundTowardPositive
                     (fp.add roundTowardPositive
                             EKOWP71ETZ
                             (fp #b0 #x7e #b00000000000000000000000))
                     (fp #b0 #x82 #b01000000000000000000000))
             (fp #b0 #x9e #b00000000000000000000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
(let ((a!2 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.sub roundTowardPositive
                       (fp.div roundTowardPositive
                               a!1
                               (fp #b0 #x82 #b01000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
  (and (distinct (fp.sub roundTowardPositive
                         (fp.div roundTowardPositive
                                 a!1
                                 (fp #b0 #x82 #b01000000000000000000000))
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ NaN 8 24))
       (distinct (fp.sub roundTowardPositive
                         (fp.div roundTowardPositive
                                 a!1
                                 (fp #b0 #x82 #b01000000000000000000000))
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ +oo 8 24))
       (distinct (fp.sub roundTowardPositive
                         (fp.div roundTowardPositive
                                 a!1
                                 (fp #b0 #x82 #b01000000000000000000000))
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ -oo 8 24))
       (fp.geq (fp.sub roundTowardPositive
                       (fp.div roundTowardPositive
                               a!1
                               (fp #b0 #x82 #b01000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))
               (fp #b1 #x9e #b00000000000000000000000))
       (fp.leq (fp.sub roundTowardPositive
                       (fp.div roundTowardPositive
                               a!1
                               (fp #b0 #x82 #b01000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))
               (fp #b0 #x9e #b00000000000000000000000))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ NaN 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ +oo 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x82 #b01000000000000000000000))
                 (_ -oo 8 24))
       (fp.geq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x82 #b01000000000000000000000))
               (fp #b1 #x9e #b00000000000000000000000))
       (fp.leq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x82 #b01000000000000000000000))
               (fp #b0 #x9e #b00000000000000000000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
(let ((a!2 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.sub roundTowardPositive
                       (fp.div roundTowardPositive
                               a!1
                               (fp #b0 #x82 #b01000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
(let ((a!3 (fp.geq ((_ to_fp 8 24)
                     roundTowardPositive
                     ((_ fp.to_sbv 32)
                       roundTowardZero
                       (fp.add roundTowardPositive
                               a!2
                               (fp #b0 #x82 #b01000000000000000000000))))
                   (fp #b0 #x87 #b01101000000000000000000))))
  (not (distinct (ite a!3 #b1 #b0) #b0))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.mul roundTowardPositive
                       (fp.add roundTowardPositive
                               EKOWP71ETZ
                               (fp #b0 #x7e #b00000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
(let ((a!2 ((_ to_fp 8 24)
             roundTowardPositive
             ((_ fp.to_sbv 32)
               roundTowardZero
               (fp.sub roundTowardPositive
                       (fp.div roundTowardPositive
                               a!1
                               (fp #b0 #x82 #b01000000000000000000000))
                       (fp #b0 #x82 #b01000000000000000000000))))))
(let ((a!3 (fp.lt ((_ to_fp 8 24)
                    roundTowardPositive
                    ((_ fp.to_sbv 32)
                      roundTowardZero
                      (fp.add roundTowardPositive
                              a!2
                              (fp #b0 #x82 #b01000000000000000000000))))
                  (_ +zero 8 24))))
  (distinct (ite a!3 #b1 #b0) #b0)))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(declare-fun CV56ALYFR5 () (_ BitVec 8))
(assert (and (bvsgt ((_ sign_extend 24) CV56ALYFR5) #x00000000)
     (distinct ((_ sign_extend 24) CV56ALYFR5) #x00000000)
     (distinct ((_ sign_extend 24) CV56ALYFR5) #x00000001)))
(set-info :status unknown)
(check-sat)
(exit)