(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun GSSTP8F104 () (_ FloatingPoint 8 24))
(assert (and (distinct (fp.mul roundTowardPositive
                       GSSTP8F104
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ NaN 8 24))
     (distinct (fp.mul roundTowardPositive
                       GSSTP8F104
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ +oo 8 24))
     (distinct (fp.mul roundTowardPositive
                       GSSTP8F104
                       (fp #b0 #x82 #b01000000000000000000000))
               (_ -oo 8 24))
     (fp.geq (fp.mul roundTowardPositive
                     GSSTP8F104
                     (fp #b0 #x82 #b01000000000000000000000))
             (fp #b1 #x9e #b00000000000000000000000))
     (fp.leq (fp.mul roundTowardPositive
                     GSSTP8F104
                     (fp #b0 #x82 #b01000000000000000000000))
             (fp #b0 #x9e #b00000000000000000000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct #x00000032 #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.mul roundTowardPositive
                            GSSTP8F104
                            (fp #b0 #x82 #b01000000000000000000000)))
                  (bvsrem ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.mul roundTowardPositive
                                    GSSTP8F104
                                    (fp #b0 #x82 #b01000000000000000000000)))
                          #x00000032))))
(let ((a!2 (distinct (fp.sub roundTowardPositive
                             (fp.mul roundTowardPositive
                                     ((_ to_fp 8 24) roundTowardPositive a!1)
                                     (fp #b0 #x7b #b10011001100110011001101))
                             (fp #b0 #x81 #b01000000000000000000000))
                     (_ NaN 8 24)))
      (a!3 (distinct (fp.sub roundTowardPositive
                             (fp.mul roundTowardPositive
                                     ((_ to_fp 8 24) roundTowardPositive a!1)
                                     (fp #b0 #x7b #b10011001100110011001101))
                             (fp #b0 #x81 #b01000000000000000000000))
                     (_ +oo 8 24)))
      (a!4 (distinct (fp.sub roundTowardPositive
                             (fp.mul roundTowardPositive
                                     ((_ to_fp 8 24) roundTowardPositive a!1)
                                     (fp #b0 #x7b #b10011001100110011001101))
                             (fp #b0 #x81 #b01000000000000000000000))
                     (_ -oo 8 24)))
      (a!5 (fp.geq (fp.sub roundTowardPositive
                           (fp.mul roundTowardPositive
                                   ((_ to_fp 8 24) roundTowardPositive a!1)
                                   (fp #b0 #x7b #b10011001100110011001101))
                           (fp #b0 #x81 #b01000000000000000000000))
                   (fp #b1 #x9e #b00000000000000000000000)))
      (a!6 (fp.leq (fp.sub roundTowardPositive
                           (fp.mul roundTowardPositive
                                   ((_ to_fp 8 24) roundTowardPositive a!1)
                                   (fp #b0 #x7b #b10011001100110011001101))
                           (fp #b0 #x81 #b01000000000000000000000))
                   (fp #b0 #x9e #b00000000000000000000000))))
  (and a!2 a!3 a!4 a!5 a!6))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (bvslt #x00000000 #x00000007) #b1 #b0) #b0))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.mul roundTowardPositive
                            GSSTP8F104
                            (fp #b0 #x82 #b01000000000000000000000)))
                  (bvsrem ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.mul roundTowardPositive
                                    GSSTP8F104
                                    (fp #b0 #x82 #b01000000000000000000000)))
                          #x00000032))))
(let ((a!2 ((_ fp.to_sbv 32)
             roundTowardZero
             (fp.sub roundTowardPositive
                     (fp.mul roundTowardPositive
                             ((_ to_fp 8 24) roundTowardPositive a!1)
                             (fp #b0 #x7b #b10011001100110011001101))
                     (fp #b0 #x81 #b01000000000000000000000)))))
(let ((a!3 (distinct (ite (bvsge (bvsub a!2 #x0000000a) #xffffffa6) #b1 #b0)
                     #b0))
      (a!4 (distinct (ite (bvsle (bvsub a!2 #x0000000a) #x0000005a) #b1 #b0)
                     #b0)))
  (distinct (ite (and a!3 a!4) #b1 #b0) #b0)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.mul roundTowardPositive
                            GSSTP8F104
                            (fp #b0 #x82 #b01000000000000000000000)))
                  (bvsrem ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.mul roundTowardPositive
                                    GSSTP8F104
                                    (fp #b0 #x82 #b01000000000000000000000)))
                          #x00000032))))
(let ((a!2 ((_ fp.to_sbv 32)
             roundTowardZero
             (fp.sub roundTowardPositive
                     (fp.mul roundTowardPositive
                             ((_ to_fp 8 24) roundTowardPositive a!1)
                             (fp #b0 #x7b #b10011001100110011001101))
                     (fp #b0 #x81 #b01000000000000000000000)))))
  (distinct (ite (bvsgt (bvsub a!2 #x0000000a) #x00000000) #b1 #b0) #b0))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.mul roundTowardPositive
                            GSSTP8F104
                            (fp #b0 #x82 #b01000000000000000000000)))
                  (bvsrem ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.mul roundTowardPositive
                                    GSSTP8F104
                                    (fp #b0 #x82 #b01000000000000000000000)))
                          #x00000032))))
(let ((a!2 ((_ fp.to_sbv 32)
             roundTowardZero
             (fp.sub roundTowardPositive
                     (fp.mul roundTowardPositive
                             ((_ to_fp 8 24) roundTowardPositive a!1)
                             (fp #b0 #x7b #b10011001100110011001101))
                     (fp #b0 #x81 #b01000000000000000000000)))))
  (distinct (ite (bvslt (bvsub a!2 #x0000000a) #x0000000a) #b1 #b0) #b0))))
(set-info :status unknown)
(check-sat)
(exit)