(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(assert (let ((a!1 (ite (not (fp.eq (fp.add roundTowardPositive
                                    (fp #b0 #x84 #b01100000000000000000000)
                                    (fp #b0 #x89 #b01010000010000000000000))
                            (fp #b0 #x89 #b01011011010000000000000)))
                #x00000001
                #x00000000)))
  (not (distinct a!1 #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (ite (not (fp.eq (fp.sub roundTowardPositive
                                    (fp #b0 #x89 #b01010000010000000000000)
                                    (fp #b0 #x84 #b01100000000000000000000))
                            (fp #b0 #x89 #b01000101010000000000000)))
                #x00000001
                #x00000000)))
  (not (distinct a!1 #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (ite (not (fp.eq (fp.mul roundTowardPositive
                                    (fp #b0 #x84 #b01100000000000000000000)
                                    (fp #b0 #x89 #b01010000010000000000000))
                            (fp #b0 #x8e #b11001110010110000000000)))
                #x00000001
                #x00000000)))
  (not (distinct a!1 #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (ite (not (fp.eq (fp.div roundTowardPositive
                                    (fp #b0 #x85 #b01100000000000000000000)
                                    (fp #b0 #x84 #b01100000000000000000000))
                            (fp #b0 #x80 #b00000000000000000000000)))
                #x00000001
                #x00000000)))
  (distinct a!1 #x00000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(declare-fun P31WWAUCK7 () (_ BitVec 32))
(assert (distinct (ite (distinct P31WWAUCK7 #x54455354) #x00000001 #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(exit)