(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Aerospace* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun M896J7EXAG () (_ FloatingPoint 8 24))
(assert (let ((a!1 (and (distinct (ite (fp.gt M896J7EXAG (_ +zero 8 24))
                               #x00000001
                               #x00000000)
                          #x00000000)
                (distinct (ite (fp.lt M896J7EXAG
                                      (fp #b0 #x01 #b00000000000000000000000))
                               #x00000001
                               #x00000000)
                          #x00000000))))
  (distinct (ite a!1 #x00000001 #x00000000) #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (bvand #xaaaaaaaa #x80000000) #x00000000)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(declare-fun R70R0Z3GQ7 () (_ FloatingPoint 8 24))
(assert (not (distinct (ite (fp.leq M896J7EXAG R70R0Z3GQ7) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000007 #x00000020) (bvsge #x00000007 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000017 #x00000020) (bvsge #x00000017 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvand ((_ sign_extend 16)
                    ((_ extract 15 0) (bvlshr #xaaaaaaaa #x00000017)))
                  #x000000ff)))
(let ((a!2 (= (bvand ((_ sign_extend 16) ((_ extract 15 0) a!1)) #x00000001)
              #x00000000)))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (bvult #x00000000 #x00000019) #x00000001 #x00000000) #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct #x00000000 #x00000000))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 (bvadd (bvshl (bvor (bvand #xaaaaaaaa #x007fffff) #x00800000)
                         #x00000007)
                  #x40000000)))
  (distinct (bvand a!1 #x80000000) #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000001 #x00000020) (bvsge #x00000001 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (bvule (bvadd #x00000000 #x00000002) #x0000001e)
               #x00000001
               #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (ite (bvult #x00000000
                       (bvsub #x0000001e (bvadd #x00000000 #x00000002)))
                #x00000001
                #x00000000)))
  (not (distinct a!1 #x00000000))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 (distinct (bvand (bvadd (bvshl #x00000000 #x00000001) #x00000001)
                            #xfffffffe)
                     #x00000000)))
  (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvand ((_ sign_extend 16)
                    ((_ extract 15 0) (bvlshr #xaaaaaaaa #x00000017)))
                  #x000000ff)))
(let ((a!2 (bvadd ((_ extract 15 0) ((_ sign_extend 16) ((_ extract 15 0) a!1)))
                  ((_ extract 15 0) #x00000007))))
(let ((a!3 ((_ sign_extend 16)
             (bvxor ((_ extract 15 0) ((_ sign_extend 16) a!2))
                    ((_ extract 15 0) #x00000080)))))
  (not (distinct (bvand a!3 #x00000001) #x00000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvand ((_ sign_extend 16)
                    ((_ extract 15 0) (bvlshr #xaaaaaaaa #x00000017)))
                  #x000000ff)))
(let ((a!2 (bvadd ((_ extract 15 0) ((_ sign_extend 16) ((_ extract 15 0) a!1)))
                  ((_ extract 15 0) #x00000007))))
(let ((a!3 (distinct ((_ extract 15 0)
                       (bvand ((_ sign_extend 16) a!2) #x00000080))
                     #x0000)))
  (not a!3)))))
(set-info :status unknown)
(check-sat)
(exit)