(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Automotive* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun DYYSHGZL2V () (_ BitVec 8))
(declare-fun TG0HEDE1GJ () (_ BitVec 8))
(declare-fun VS6SR0M515 () (_ BitVec 8))
(assert (let ((a!1 (fp.add roundTowardPositive
                   (fp.mul roundTowardPositive
                           (fp #b0 #x7c #b01110110110010001011010)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) VS6SR0M515)))
                   (fp.mul roundTowardPositive
                           (fp #b0 #x7e #b00111010010111100011011)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) TG0HEDE1GJ))))))
(let ((a!2 (fp.add roundTowardPositive
                   a!1
                   (fp.mul roundTowardPositive
                           (fp #b0 #x7a #b11111011111001110110110)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) DYYSHGZL2V))))))
  (and (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x83 #b00000000000000000000000))
                 (_ NaN 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x83 #b00000000000000000000000))
                 (_ +oo 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x83 #b00000000000000000000000))
                 (_ -oo 8 24))
       (fp.geq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x83 #b00000000000000000000000))
               (_ +zero 8 24))
       (fp.leq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x83 #b00000000000000000000000))
               (fp #b0 #x86 #b11111110000000000000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.sub roundTowardPositive
                   (fp.mul roundTowardPositive
                           (fp #b1 #x7b #b10011101101100100010111)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) VS6SR0M515)))
                   (fp.mul roundTowardPositive
                           (fp #b0 #x7d #b01011010000111001010110)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) TG0HEDE1GJ))))))
(let ((a!2 (fp.add roundTowardPositive
                   a!1
                   (fp.mul roundTowardPositive
                           (fp #b0 #x7d #b11000001100010010011100)
                           ((_ to_fp_unsigned 8 24)
                             roundTowardPositive
                             ((_ zero_extend 24) DYYSHGZL2V))))))
  (and (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x86 #b00000000000000000000000))
                 (_ NaN 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x86 #b00000000000000000000000))
                 (_ +oo 8 24))
       (distinct (fp.add roundTowardPositive
                         a!2
                         (fp #b0 #x86 #b00000000000000000000000))
                 (_ -oo 8 24))
       (fp.geq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x86 #b00000000000000000000000))
               (_ +zero 8 24))
       (fp.leq (fp.add roundTowardPositive
                       a!2
                       (fp #b0 #x86 #b00000000000000000000000))
               (fp #b0 #x86 #b11111110000000000000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvnot ((_ extract 32 32)
                    (bvadd ((_ zero_extend 1) #x00000502)
                           ((_ zero_extend 1) #x00000502))))))
  (and (bvult #x00000003 #x00000064)
       (bvuge #x00000003 #x00000000)
       (distinct a!1 #b0)
       (distinct (bvadd #x00000502 #x00000003) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvnot ((_ extract 32 32)
                    (bvadd ((_ zero_extend 1) #x00000502)
                           ((_ zero_extend 1) #x00000502))))))
  (and (bvult #x00000002 #x00000064)
       (bvuge #x00000002 #x00000000)
       (distinct a!1 #b0)
       (distinct (bvadd #x00000502 #x00000002) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvnot ((_ extract 32 32)
                    (bvadd ((_ zero_extend 1) #x00000502)
                           ((_ zero_extend 1) #x00000502))))))
  (and (bvult #x00000001 #x00000064)
       (bvuge #x00000001 #x00000000)
       (distinct a!1 #b0)
       (distinct (bvadd #x00000502 #x00000001) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvnot ((_ extract 32 32)
                    (bvadd ((_ zero_extend 1) #x00000502)
                           ((_ zero_extend 1) #x00000502))))))
  (and (bvult #x00000000 #x00000064)
       (bvuge #x00000000 #x00000000)
       (distinct a!1 #b0)
       (distinct (bvadd #x00000502 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(exit)