(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Automotive* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun PV3ZWL6X6O () (_ BitVec 16))
(assert (= ((_ zero_extend 16) PV3ZWL6X6O) #x00000002))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun JTI2B0OA5R () (_ FloatingPoint 8 24))
(assert (distinct (ite (fp.gt JTI2B0OA5R (fp #b0 #x82 #b00100000000000000000000))
               #x00000001
               #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsgt ((_ sign_extend 24) #x01) #x00000000)
     (distinct ((_ sign_extend 24) #x01) #x00000000)
     (distinct ((_ sign_extend 24) #x01) #x00000001)
     (distinct ((_ sign_extend 24) #x01) #x00000002)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(declare-fun WM382M987M () (_ BitVec 16))
(declare-fun GVPZY8FGT3 () (_ BitVec 32))
(declare-fun YHHMRU0LLZ () (_ BitVec 32))
(declare-fun XLFPNTP2R8 () (_ BitVec 32))
(assert (let ((a!1 (distinct (ite (bvuge XLFPNTP2R8 ((_ zero_extend 16) WM382M987M))
                          #x00000001
                          #x00000000)
                     #x00000000))
      (a!2 (distinct (ite (bvuge YHHMRU0LLZ ((_ zero_extend 16) WM382M987M))
                          #x00000001
                          #x00000000)
                     #x00000000))
      (a!3 (distinct (ite (bvuge GVPZY8FGT3 ((_ zero_extend 16) WM382M987M))
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!4 (or (distinct (ite (or a!1 a!2) #x00000001 #x00000000) #x00000000)
               a!3)))
  (not (distinct (ite a!4 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(exit)