(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Automotive* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun V7A619FA2L () (_ FloatingPoint 8 24))
(declare-fun HUQM7VUY5S () (_ FloatingPoint 8 24))
(declare-fun PSRD1UAINV () (_ FloatingPoint 8 24))
(declare-fun OBULQBTL9U () (_ FloatingPoint 8 24))
(assert (let ((a!1 (fp.add roundTowardPositive
                   OBULQBTL9U
                   (fp.div roundTowardPositive
                           (fp.mul roundTowardPositive PSRD1UAINV HUQM7VUY5S)
                           (fp #b0 #x85 #b00000000000000000000000)))))
(let ((a!2 (and (distinct (ite (fp.lt a!1 (_ +zero 8 24)) #x00000001 #x00000000)
                          #x00000000)
                (distinct (ite (fp.lt V7A619FA2L (_ +zero 8 24))
                               #x00000001
                               #x00000000)
                          #x00000000)))
      (a!3 (and (distinct (ite (fp.gt a!1 (_ +zero 8 24)) #x00000001 #x00000000)
                          #x00000000)
                (distinct (ite (fp.gt V7A619FA2L (_ +zero 8 24))
                               #x00000001
                               #x00000000)
                          #x00000000))))
(let ((a!4 (ite (or (distinct (ite a!2 #x00000001 #x00000000) #x00000000)
                    (distinct (ite a!3 #x00000001 #x00000000) #x00000000))
                #x00000001
                #x00000000)))
  (not (distinct a!4 #x00000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun X4UM8PUP5W () (_ BitVec 16))
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           ((_ to_fp 8 24)
                             roundTowardPositive
                             ((_ sign_extend 16) X4UM8PUP5W))
                           (fp #b0 #x88 #b01101011000000000000000))
                   (fp #b0 #x8e #b00000000000000000000000))))
(let ((a!2 (fp.gt (fp.add roundTowardPositive
                          OBULQBTL9U
                          (fp.div roundTowardPositive
                                  (fp.mul roundTowardPositive
                                          PSRD1UAINV
                                          HUQM7VUY5S)
                                  (fp #b0 #x85 #b00000000000000000000000)))
                  a!1)))
  (distinct (ite a!2 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun B9RQFL1MX6 () (_ FloatingPoint 8 24))
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           ((_ to_fp 8 24)
                             roundTowardPositive
                             ((_ sign_extend 16) X4UM8PUP5W))
                           (fp #b0 #x88 #b01101011000000000000000))
                   (fp #b0 #x8e #b00000000000000000000000))))
(let ((a!2 (ite (fp.gt (fp.add roundTowardPositive
                               a!1
                               (fp.mul roundTowardPositive
                                       PSRD1UAINV
                                       B9RQFL1MX6))
                       a!1)
                #x00000001
                #x00000000)))
  (not (distinct a!2 #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           ((_ to_fp 8 24)
                             roundTowardPositive
                             ((_ sign_extend 16) X4UM8PUP5W))
                           (fp #b0 #x88 #b01101011000000000000000))
                   (fp #b0 #x8e #b00000000000000000000000))))
(let ((a!2 (ite (fp.lt (fp.add roundTowardPositive
                               a!1
                               (fp.mul roundTowardPositive
                                       PSRD1UAINV
                                       B9RQFL1MX6))
                       (fp.neg a!1))
                #x00000001
                #x00000000)))
  (not (distinct a!2 #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           ((_ to_fp 8 24)
                             roundTowardPositive
                             ((_ sign_extend 16) X4UM8PUP5W))
                           (fp #b0 #x88 #b01101011000000000000000))
                   (fp #b0 #x8e #b00000000000000000000000))))
(let ((a!2 (fp.lt (fp.div roundTowardPositive
                          (fp.add roundTowardPositive
                                  a!1
                                  (fp.mul roundTowardPositive
                                          PSRD1UAINV
                                          B9RQFL1MX6))
                          (fp #b0 #x88 #b01101011000000000000000))
                  (fp #b0 #x7f #b00000000000000000000000))))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.div roundTowardPositive
                   (fp.mul roundTowardPositive
                           ((_ to_fp 8 24)
                             roundTowardPositive
                             ((_ sign_extend 16) X4UM8PUP5W))
                           (fp #b0 #x88 #b01101011000000000000000))
                   (fp #b0 #x8e #b00000000000000000000000))))
(let ((a!2 (fp.lt (fp.div roundTowardPositive
                          (fp.add roundTowardPositive
                                  a!1
                                  (fp.mul roundTowardPositive
                                          PSRD1UAINV
                                          B9RQFL1MX6))
                          (fp #b0 #x88 #b01101011000000000000000))
                  (fp #b0 #x7f #b00000000000000000000000))))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(exit)