(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Industrial_Control* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun A4LZ8L8446 () (_ BitVec 32))
(declare-fun YESQ5PNOGO () (_ BitVec 32))
(declare-fun X633KA8SA0 () (_ BitVec 32))
(declare-fun EV7SNA51DI () (_ BitVec 32))
(assert (let ((a!1 (and (distinct (ite (= EV7SNA51DI X633KA8SA0) #x00000001 #x00000000)
                          #x00000000)
                (distinct (ite (= YESQ5PNOGO A4LZ8L8446) #x00000001 #x00000000)
                          #x00000000))))
  (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (ite (distinct EV7SNA51DI X633KA8SA0) #x00000001 #x00000000)
               #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (distinct YESQ5PNOGO A4LZ8L8446) #x00000001 #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (bvand A4LZ8L8446 #x80000000) #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x0000000c #x00000020) (bvsge #x0000000c #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000007 #x00000020) (bvsge #x00000007 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (bvadd (bvmul a!1
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
  (distinct a!2 #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun R5LB6W4577 () (_ BitVec 32))
(assert (let ((a!1 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f)))
      (a!4 (distinct (ite (bvsgt ((_ zero_extend 16) #x001f) #x0000000b)
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!2 (bvadd (bvmul a!1
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!3 (ite (bvugt (bvshl #x00000001 ((_ zero_extend 16) #x001f))
                       (bvmul (bvudiv R5LB6W4577 a!2) #x00000064))
                #x00000001
                #x00000000)))
(let ((a!5 (distinct (ite (and (distinct a!3 #x00000000) a!4)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (and (bvsle ((_ zero_extend 16) #x001f) #x00000020)
       (bvsge ((_ zero_extend 16) #x001f) #x00000000)
       a!5))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (bvslt ((_ zero_extend 16) #x001f) #x0000001a)
               #x00000001
               #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
  (and (bvsle ((_ zero_extend 16) a!1) #x00000020)
       (bvsge ((_ zero_extend 16) a!1) #x00000000)
       (distinct (fp.div roundTowardPositive
                         a!2
                         ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))
                 (_ NaN 8 24))
       (distinct (fp.div roundTowardPositive
                         a!2
                         ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))
                 (_ +oo 8 24))
       (distinct (fp.div roundTowardPositive
                         a!2
                         ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))
                 (_ -oo 8 24))
       (fp.geq (fp.div roundTowardPositive
                       a!2
                       ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))
               (fp #b1 #x9e #b00000000000000000000000))
       (fp.leq (fp.div roundTowardPositive
                       a!2
                       ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))
               (fp #b0 #x9e #b00000000000000000000000))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (distinct (bvmul (bvand A4LZ8L8446 #x0000007f)
                 (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c))
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun FRI6O2VDA4 () (_ BitVec 32))
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!5 (bvsgt FRI6O2VDA4
                  ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))))))
  (not (distinct (ite a!5 #x00000001 #x00000000) #x00000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (bvmul (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f)
                 (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c))
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun ZQHDR72A46 () (_ BitVec 32))
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!5 (bvsgt ZQHDR72A46
                  ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4))))))
  (not (distinct (ite a!5 #x00000001 #x00000000) #x00000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064))
      (a!7 (distinct (ite (bvsgt ((_ zero_extend 16) a!1) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!5 (bvmul ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4)))
                  #x0000000a)))
(let ((a!6 (bvudiv a!5
                   (bvmul (bvand A4LZ8L8446 #x0000007f)
                          (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)))))
(let ((a!8 (and (distinct (ite (bvsgt a!6 #x00010000) #x00000001 #x00000000)
                          #x00000000)
                a!7)))
  (not (distinct (ite a!8 #x00000001 #x00000000) #x00000000))))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!5 (bvmul ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4)))
                  #x0000000a)))
(let ((a!6 (bvudiv a!5
                   (bvmul (bvand A4LZ8L8446 #x0000007f)
                          (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)))))
  (not (distinct (ite (bvslt a!6 #x00000002) #x00000001 #x00000000) #x00000000)))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!5 (bvmul ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4)))
                  #x0000000a)))
(let ((a!6 (bvudiv a!5
                   (bvmul (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f)
                          (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)))))
  (not (distinct (ite (bvslt a!6 #x00000002) #x00000001 #x00000000) #x00000000)))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(declare-fun DNJZXVHZYW () (_ BitVec 16))
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe))))
(let ((a!2 (distinct (ite (bvsgt ((_ zero_extend 16) DNJZXVHZYW)
                                 ((_ zero_extend 16) a!1))
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!2))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe))))
  (and (bvsle (bvsub ((_ zero_extend 16) a!1) ((_ zero_extend 16) DNJZXVHZYW))
              #x00000020)
       (bvsge (bvsub ((_ zero_extend 16) a!1) ((_ zero_extend 16) DNJZXVHZYW))
              #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe))))
  (and (bvsle (bvsub ((_ zero_extend 16) a!1) ((_ zero_extend 16) DNJZXVHZYW))
              #x00000020)
       (bvsge (bvsub ((_ zero_extend 16) a!1) ((_ zero_extend 16) DNJZXVHZYW))
              #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe)))
      (a!3 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr A4LZ8L8446 #x00000007) #x0000007f))
                  (bvand A4LZ8L8446 #x0000007f))))
(let ((a!2 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) a!1)))))
      (a!4 (bvadd (bvmul a!3
                         (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)
                         #x00000005)
                  #x00000064)))
(let ((a!5 (bvmul ((_ fp.to_sbv 32)
                    roundTowardZero
                    (fp.div roundTowardPositive
                            a!2
                            ((_ to_fp_unsigned 8 24) roundTowardPositive a!4)))
                  #x0000000a)))
(let ((a!6 (bvudiv a!5
                   (bvmul (bvand A4LZ8L8446 #x0000007f)
                          (bvlshr (bvand A4LZ8L8446 #x7fffc000) #x0000000c)))))
(let ((a!7 (= (bvashr a!6
                      (bvsub ((_ zero_extend 16) a!1)
                             ((_ zero_extend 16) DNJZXVHZYW)))
              #x00000000)))
  (not (distinct (ite a!7 #x00000001 #x00000000) #x00000000))))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 ((_ extract 15 0)
             (bvand (bvsub #x0000001b ((_ zero_extend 16) #x001f)) #x0000fffe))))
(let ((a!2 (= (bvshl FRI6O2VDA4
                     (bvsub ((_ zero_extend 16) a!1)
                            ((_ zero_extend 16) DNJZXVHZYW)))
              #x00000000)))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(exit)