(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Industrial_Control* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun A4LZ8L8446 () (_ BitVec 32))
(declare-fun YESQ5PNOGO () (_ BitVec 32))
(declare-fun X633KA8SA0 () (_ BitVec 32))
(declare-fun EV7SNA51DI () (_ BitVec 32))
(assert (let ((a!1 (and (distinct (ite (= EV7SNA51DI X633KA8SA0) #x00000001 #x00000000)
                          #x00000000)
                (distinct (ite (= YESQ5PNOGO A4LZ8L8446) #x00000001 #x00000000)
                          #x00000000))))
  (not (distinct (ite a!1 #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (distinct EV7SNA51DI X633KA8SA0) #x00000001 #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (not (distinct (bvand X633KA8SA0 #x80000000) #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x0000000e #x00000020) (bvsge #x0000000e #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000007 #x00000020) (bvsge #x00000007 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f))))
  (distinct (bvadd (bvmul a!1 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                   #x00000064)
            #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun R5LB6W4577 () (_ BitVec 32))
(assert (let ((a!1 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f)))
      (a!4 (distinct (ite (bvsgt ((_ zero_extend 16) #x001f) #x0000000b)
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!2 (bvudiv R5LB6W4577
                   (bvadd (bvmul a!1 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                          #x00000064))))
(let ((a!3 (ite (bvugt (bvshl #x00000001 ((_ zero_extend 16) #x001f))
                       (bvmul a!2 #x00000064))
                #x00000001
                #x00000000)))
(let ((a!5 (distinct (ite (and (distinct a!3 #x00000000) a!4)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (and (bvsle ((_ zero_extend 16) #x001f) #x00000020)
       (bvsge ((_ zero_extend 16) #x001f) #x00000000)
       (not a!5)))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (distinct (ite (bvslt ((_ zero_extend 16) #x001f) #x0000001a)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) #x0000)))))
      (a!2 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f))))
(let ((a!3 ((_ to_fp_unsigned 8 24)
             roundTowardPositive
             (bvadd (bvmul a!2 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                    #x00000064))))
  (and (bvsle ((_ zero_extend 16) #x0000) #x00000020)
       (bvsge ((_ zero_extend 16) #x0000) #x00000000)
       (distinct (fp.div roundTowardPositive a!1 a!3) (_ NaN 8 24))
       (distinct (fp.div roundTowardPositive a!1 a!3) (_ +oo 8 24))
       (distinct (fp.div roundTowardPositive a!1 a!3) (_ -oo 8 24))
       (fp.geq (fp.div roundTowardPositive a!1 a!3)
               (fp #b1 #x9e #b00000000000000000000000))
       (fp.leq (fp.div roundTowardPositive a!1 a!3)
               (fp #b0 #x9e #b00000000000000000000000))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (bvmul (bvand X633KA8SA0 #x0000007f) (bvlshr X633KA8SA0 #x0000000e))
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) #x0000)))))
      (a!2 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f))))
(let ((a!3 ((_ to_fp_unsigned 8 24)
             roundTowardPositive
             (bvadd (bvmul a!2 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                    #x00000064))))
(let ((a!4 (bvudiv (bvmul ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.div roundTowardPositive a!1 a!3))
                          #x0000000a)
                   (bvmul (bvand X633KA8SA0 #x0000007f)
                          (bvlshr X633KA8SA0 #x0000000e)))))
(let ((a!5 (ite (bvsgt a!4
                       ((_ fp.to_sbv 32)
                         roundTowardZero
                         (fp.div roundTowardPositive a!1 a!3)))
                #x00000001
                #x00000000)))
  (not (distinct a!5 #x00000000)))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (bvmul (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f)
                 (bvlshr X633KA8SA0 #x0000000e))
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) #x0000)))))
      (a!2 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f))))
(let ((a!3 ((_ to_fp_unsigned 8 24)
             roundTowardPositive
             (bvadd (bvmul a!2 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                    #x00000064))))
(let ((a!4 (bvudiv (bvmul ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.div roundTowardPositive a!1 a!3))
                          #x0000000a)
                   (bvmul (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f)
                          (bvlshr X633KA8SA0 #x0000000e)))))
(let ((a!5 (ite (bvsgt a!4
                       ((_ fp.to_sbv 32)
                         roundTowardZero
                         (fp.div roundTowardPositive a!1 a!3)))
                #x00000001
                #x00000000)))
  (not (distinct a!5 #x00000000)))))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) #x0000)))))
      (a!2 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f)))
      (a!5 (distinct (ite (bvsgt ((_ zero_extend 16) #x0000) #x00000002)
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!3 ((_ to_fp_unsigned 8 24)
             roundTowardPositive
             (bvadd (bvmul a!2 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                    #x00000064))))
(let ((a!4 (bvudiv (bvmul ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.div roundTowardPositive a!1 a!3))
                          #x0000000a)
                   (bvmul (bvand X633KA8SA0 #x0000007f)
                          (bvlshr X633KA8SA0 #x0000000e)))))
(let ((a!6 (and (distinct (ite (bvsgt a!4 #x00010000) #x00000001 #x00000000)
                          #x00000000)
                a!5)))
  (distinct (ite a!6 #x00000001 #x00000000) #x00000000))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (and (bvsle #x00000002 #x00000020) (bvsge #x00000002 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (and (bvsle #x00000002 #x00000020) (bvsge #x00000002 #x00000000)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.mul roundTowardPositive
                   ((_ to_fp 8 24) roundTowardPositive R5LB6W4577)
                   ((_ to_fp 8 24)
                     roundTowardPositive
                     (bvshl #x00000064 ((_ zero_extend 16) #x0000)))))
      (a!2 (bvsub (bvsub #x000000c8
                         (bvand (bvlshr X633KA8SA0 #x00000007) #x0000007f))
                  (bvand X633KA8SA0 #x0000007f))))
(let ((a!3 ((_ to_fp_unsigned 8 24)
             roundTowardPositive
             (bvadd (bvmul a!2 (bvlshr X633KA8SA0 #x0000000e) #x00000005)
                    #x00000064))))
(let ((a!4 (bvudiv (bvmul ((_ fp.to_sbv 32)
                            roundTowardZero
                            (fp.div roundTowardPositive a!1 a!3))
                          #x0000000a)
                   (bvmul (bvand X633KA8SA0 #x0000007f)
                          (bvlshr X633KA8SA0 #x0000000e)))))
(let ((a!5 (distinct (ite (bvslt (bvashr a!4 #x00000002) #x00000002)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!5))))))
(set-info :status unknown)
(check-sat)
(pop 1)
(set-info :status unknown)
(check-sat)
(exit)