(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Medical* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun OM09P7FMCA () (_ BitVec 16))
(assert (let ((a!1 (distinct (ite (bvsgt ((_ zero_extend 16) OM09P7FMCA) #x00000009)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (= ((_ zero_extend 16) OM09P7FMCA) #x00000000)
               #x00000001
               #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.add roundTowardPositive
                   ((_ to_fp_unsigned 8 24)
                     roundTowardPositive
                     (bvmul ((_ zero_extend 16) #x0001) #x000000fa))
                   (fp #b0 #x85 #b10111011011001000111011))))
  (and (distinct (fp.div roundTowardPositive
                         a!1
                         (fp #b0 #x85 #b10111111011001000111011))
                 (_ NaN 8 24))
       (distinct (fp.div roundTowardPositive
                         a!1
                         (fp #b0 #x85 #b10111111011001000111011))
                 (_ +oo 8 24))
       (distinct (fp.div roundTowardPositive
                         a!1
                         (fp #b0 #x85 #b10111111011001000111011))
                 (_ -oo 8 24))
       (fp.geq (fp.div roundTowardPositive
                       a!1
                       (fp #b0 #x85 #b10111111011001000111011))
               (_ +zero 8 24))
       (fp.leq (fp.div roundTowardPositive
                       a!1
                       (fp #b0 #x85 #b10111111011001000111011))
               (fp #b0 #x8e #b11111111111111100000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (fp.add roundTowardPositive
                   ((_ to_fp_unsigned 8 24)
                     roundTowardPositive
                     (bvmul ((_ zero_extend 16) #x0001) #x000000fa))
                   (fp #b0 #x85 #b10111011011001000111011))))
(let ((a!2 (bvslt ((_ zero_extend 16) #x0000)
                  ((_ zero_extend 16)
                    ((_ fp.to_ubv 16)
                      roundTowardZero
                      (fp.div roundTowardPositive
                              a!1
                              (fp #b0 #x85 #b10111111011001000111011)))))))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(pop 1)
(set-info :status unknown)
(check-sat)
(exit)