(set-info :smt-lib-version 2.6)
(set-logic QF_BVFP)
(set-info :source |
Generated by: Andrew V. Jones (andrew.jones@vector.com)
Generated on: 2021-02-11
Generator: VectorCAST 2020sp6, ATG 2.0c-pre
Application: Test-case generation for safety-critical C and C++
Target solver: Z3/CVC4 (with SymFPU)/Bitwuzla (with SymFPU)

These benchmarks were generated using VectorCAST's [1] automated test-case
generation capability, an industrial symbolic execution engine targeted towards
generating high-coverage test-suites for safety-critical C and C++.

While VectorCAST can target multiple SMT solvers via a generic Python API, it
does not support generating SMTLIB2 files directly. Consequently, these
benchmarks were obtained using Z3's [2] 'smtlib2_log' [3] facility to capture
all interactions between VectorCAST and the SMT solver, including all push/pop
commands.

The input to the test-case generator was:

    * A *C* file,

    * which came from project from the *Railway* market

[1] https://www.vector.com/int/en/products/products-a-z/software/vectorcast

[2] Leonardo de Moura, Nikolaj Bjorner (2008), "Z3: An Efficient SMT Solver".
In: Proceedings of TACAS 2008.

[3] Z3 4.8.7 release notes:
https://raw.githubusercontent.com/Z3Prover/z3/master/RELEASE_NOTES
|)
(set-info :license "https://creativecommons.org/licenses/by/4.0/")
(set-info :category "industrial")
(push 1)
(declare-fun Z3TLY7B38O () (_ BitVec 16))
(assert (let ((a!1 (distinct (ite (bvsgt ((_ zero_extend 16) Z3TLY7B38O) #x00000fff)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun WZ7XMAW8UF () (_ BitVec 16))
(assert (let ((a!1 (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000))
      (a!2 (distinct (ite (bvsgt ((_ zero_extend 16) WZ7XMAW8UF) #x00000fff)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not (distinct (ite (and a!1 a!2) #x00000001 #x00000000) #x00000000))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun X6GVR5JMX6 () (_ BitVec 32))
(assert (let ((a!1 (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000)))
(let ((a!2 (and a!1
                (distinct (ite (bvugt X6GVR5JMX6 #x0000ffff)
                               #x00000001
                               #x00000000)
                          #x00000000))))
  (not (distinct (ite a!2 #x00000001 #x00000000) #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(declare-fun QRPD3Q3CR6 () (_ BitVec 32))
(assert (let ((a!1 (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000))
      (a!2 (fp.gt (fp.mul roundTowardPositive
                          (fp.add roundTowardPositive
                                  ((_ to_fp_unsigned 8 24)
                                    roundTowardPositive
                                    X6GVR5JMX6)
                                  (fp #b0 #x80 #b00000000000000000000000))
                          ((_ to_fp_unsigned 8 24)
                            roundTowardPositive
                            QRPD3Q3CR6))
                  (fp #b0 #x9f #b00000000000000000000000))))
(let ((a!3 (ite (and a!1 (distinct (ite a!2 #x00000001 #x00000000) #x00000000))
                #x00000001
                #x00000000)))
  (not (distinct a!3 #x00000000)))))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000) #x00000001 #x00000000)
          #x00000000))
(set-info :status unknown)
(check-sat)
(push 1)
(assert (let ((a!1 (distinct (ite (bvslt ((_ zero_extend 24) #x00) #x0000000a)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(pop 1)
(push 1)
(assert (let ((a!1 (distinct (ite (= ((_ sign_extend 16) #x0000) #x00000000)
                          #x00000001
                          #x00000000)
                     #x00000000)))
  (not a!1)))
(set-info :status unknown)
(check-sat)
(pop 1)
(set-info :status unknown)
(check-sat)
(exit)